<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
//------>									--------> Convierte Fecha <--------
$fec = $_POST['t_2'];
include("DF20000.php");
//------>									--------> *************** <--------
	include('cat_impuestos_CL.php');
	$varible_clase = new clase_tas_iva();
	$varible_clase->fec_vig=$f_m;
	$varible_clase->tip_iva=$_POST["select"];
	$varible_clase->conc_iva=strtoupper($_POST["t3"]);
	$varible_clase->porc_iva=$_POST["t4"];
	$varible_clase->cta_iva_ppa=$_POST["t5"];
	$varible_clase->cta_iva_acr=$_POST["t6"];
	$varible_clase->cta_iva_ppa_nc=$_POST["t7"];
	$varible_clase->cta_iva_acr_np=$_POST["t8"];
 	
	$t3=strtoupper($_POST["t3"]);

	$sq=mysqli_query($con ,"SELECT * FROM dxtasiva WHERE cve_iva = '".$_POST['bot']."'");
	$rw=mysqli_fetch_array($sq);
	
	$xa=$rw["tip_iva"].$rw["conc_iva"].$rw["fec_vig"];
	$xb=$_POST['select'].$t3.$f_m;
	
	if($xa==$xb){
		$res=$varible_clase->modifica($_POST["bot"]);
		if($res == "ok"){
			echo '<h2>!!! SE MODIFICO EL REGISTRO... ACTUALIZANDO !!!</h2>';
			echo '<meta content="1; url=cat_impuestos_PR.php"  HTTP-EQUIV="REFRESH">';
		}else{
			echo '<h2>!!! NO SE HA PODIDO MODIFICAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
			echo $res;
			echo '<meta content="1; url=cat_impuestos_PR.php" HTTP-EQUIV="REFRESH">';
		}    	

	}elseif($xa<>$xb){

		$res=$varible_clase->revisar();
		if($res == "ok"){
			echo '<h2>!!! EL REGISTRO YA EXISTE... ACTUALIZANDO !!!</h2>';
			echo '<meta content="1; url=cat_impuestos_PR.php" HTTP-EQUIV="REFRESH">';
			exit();
		}    	 
	
		$res=$varible_clase->modifica($_POST["bot"]);
		if($res == "ok"){
			echo '<h2>!!! SE MODIFICO EL REGISTRO... ACTUALIZANDO !!!</h2>';
			echo '<meta content="1; url=cat_impuestos_PR.php"  HTTP-EQUIV="REFRESH">';
		}else{
			echo '<h2>!!! NO SE HA PODIDO MODIFICAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
			echo $res;
			echo '<meta content="1; url=cat_impuestos_PR.php" HTTP-EQUIV="REFRESH">';
		}    	

	}	
?>
</body>
</html>
